Subject: Re: RFC: backport of commit a32c1c61212d

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 5 Oct 2020 16:02:54 +0200

On Tue, Sep 01, 2020 at 10:09:37AM -0700, Doug Berger wrote:
> On 9/1/2020 9:36 AM, Florian Fainelli wrote:
> > 
> > 
> > On 9/1/2020 9:06 AM, Doug Berger wrote:
> >> On 9/1/2020 7:00 AM, Greg Kroah-Hartman wrote:
> > 
> > [snip]
> > 
> >> [snip]
> >>
> >> My best guess at this point is to submit patches to the affected stable
> >> branches like the one in my RFC and reference a32c1c61212d as the
> >> upstream commit. This would be confusing to anyone that tried to compare
> >> the submitted patch with the upstream patch since they
> >> wouldn't look at all alike, but the fixes and upstream tags would define
> >> the affected range in Linus' tree.
> >>
> >> I would appreciate any guidance on how best to handle this kind of
> >> situation.
> > 
> > You could submit various patches with [PATCH stable x.y] in the subject
> > to indicate they are targeting a specific stable branch, copy
> > [email-masked] as well as all recipients in this email and see
> > if that works.
> > 
> > Not sure if there is a more documented process than that.
> Yes, that is what I had in mind based on the "Option 3" for patch
> submission. The sticking point is this requirement:
> "You must note the upstream commit ID in the changelog of your submission"
> 
> My best guess is to use a32c1c61212d, but that could easily cause
> confusion in this case. My hope is that now I can reference this
> discussion to provide additional clarity.

I'm still totally confused, is there any specific commits that you wish
to see backported to any specific stable kernel trees?  If so, what are
they?

thanks,

greg k-h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel